Loading...
Searching...
No Matches
elastix::ElastixBase::MultipleImageLoader< TImage > Class Template Reference

`#include <elxElastixBase.h>`

## Detailed Description

template<class TImage>
class elastix::ElastixBase::MultipleImageLoader< TImage >

Convenient mini class to load the files specified by a filename container The function GenerateImageContainer can be used without instantiating an object of this class, since it is static. It has 2 arguments: the fileNameContainer, and a string containing a short description of the images to be loaded. In case of errors, an itk::ExceptionObject is thrown that includes this short description and the fileName which caused the error. See ElastixTemplate::Run() for an example of usage.

The useDirection option is built in as a means to ignore the direction cosines. Set it to false to force the direction cosines to identity. The original direction cosines are returned separately.

Definition at line 423 of file elxElastixBase.h.

## Public Types

using | DirectionType = typename TImage::DirectionType

## Public Member Functions

| MultipleImageLoader ()=default
| ~MultipleImageLoader ()=default

## Static Public Member Functions

static DataObjectContainerPointer | GenerateImageContainer (const FileNameContainerType *const fileNameContainer, const std::string &imageDescription, bool useDirectionCosines, DirectionType *originalDirectionCosines=nullptr)

## Member Typedef Documentation

## DirectionType

template<class TImage>

using elastix::ElastixBase::MultipleImageLoader< TImage >::DirectionType = typename TImage::DirectionType

Definition at line 426 of file elxElastixBase.h.

## Constructor & Destructor Documentation

## MultipleImageLoader()

template<class TImage>

elastix::ElastixBase::MultipleImageLoader< TImage >::MultipleImageLoader | ( |  | ) |

default

## ~MultipleImageLoader()

template<class TImage>

elastix::ElastixBase::MultipleImageLoader< TImage >::~MultipleImageLoader | ( |  | ) |

default

## Member Function Documentation

## GenerateImageContainer()

template<class TImage>

DataObjectContainerPointer elastix::ElastixBase::MultipleImageLoader< TImage >::GenerateImageContainer | ( | const FileNameContainerType *const | fileNameContainer,
|  | const std::string & | imageDescription,
|  | bool | useDirectionCosines,
|  | DirectionType * | originalDirectionCosines = nullptr )

inline static

Definition at line 429 of file elxElastixBase.h.

Generated on 1768596610 for elastix by 1.15.0 |